<?php defined( 'ABSPATH' ) or die;

if( ! defined( '_S_VERSION' ) ) {
	define( '_S_VERSION', '1.0.0' );
}

/**
 * Enqueue scripts and styles
 */
function tech360_gold_scripts() {

	wp_dequeue_style( 'tech360' );
	wp_deregister_style( 'tech360' );

	wp_enqueue_style( 'tech360-gold', get_stylesheet_directory_uri() . '/theme-code/css/gold.min.css', [ 'tech360-style' ], _S_VERSION );

}
add_action( 'wp_enqueue_scripts', 'tech360_gold_scripts', 20 );

/**
 * Disable ACF fields
 */
function tech360_disable_acf() {

	require_once get_stylesheet_directory() . '/inc/acf.php';

}
add_action( 'after_setup_theme', 'tech360_disable_acf' );

/**
 * Disable custom post types
 */
function tech360_disable_cpt() {

	require_once get_stylesheet_directory() . '/inc/cpt.php';

}
add_action( 'init', 'tech360_disable_cpt' );
